Skip to main content

Open Visiba Triage

POST /api/v1/accessControl/open​

Description​

Open Visiba Triage for incoming users. NOTE: This only affects users when configuration type OPEN is used.

Response​

HTTP Status Codes​

CodeDescription
200Success, returns a AccessInfo
401Unauthorized, missing X-Red-Robin-API-Key header
403Forbidden, invalid X-Red-Robin-API-Key header
404Not found, invalid configuration

AccessInfo​

NameDescriptionTypeExample
activeActive state of accountbooleantrue
openOpen state of accountbooleantrue
closedReason,nullAn enum describing the reason for closedClosedReasonnull

Enums​

ClosedReason​

String valueDescription
OtherOther reason for closed
OutsideMonitoredHoursOutside monitored hours, e.g. the queue is not currently staffed
CapLimitReachedMaximum amount of sessions reached

Example Usage​

POST /api/v1/accessControl/open
const headers = new Headers();
headers.append('X-Red-Robin-API-Key', 'API_KEY');
headers.append('Content-Type', 'application/json');

const requestOptions = {
method: 'POST',
headers: headers,
};

fetch('https://se.visibatriage.com/api/v1/accessControl/open', requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));

Example Success Response​

{
"active": true
"open": true
"closedReason": null
}